﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using Airplayne.Playback;
using System.Windows.Forms.Design;

namespace Airplayne.Interface.Controls
{
  [ToolStripItemDesignerAvailability(ToolStripItemDesignerAvailability.All)]
  public class TimeLabel : BarLabel
  {
    public delegate void TimeSelectedHandler(TimeSpan time);
    public event TimeSelectedHandler TimeSelected;

    public TimeLabel()
      : base()
    {
      Empty = true;
      base.ValueSelected += TimeLabel_ValueSelected;
    }

    private void TimeLabel_ValueSelected(int value)
    {
      var handler = TimeSelected;
      if (handler != null)
        handler(TimeSpan.FromSeconds(value));         
    }

    public void ShowPosition(TimeSpan position, TimeSpan total)
    {
      Empty = false;
      Value = (int)position.TotalSeconds;
      Total = (int)total.TotalSeconds;
      int totalMinutes = (int)total.TotalMinutes;
      this.Text = string.Format("{0}:{1:D2}", (int)position.TotalMinutes, position.Seconds);
      this.ToolTipText = string.Format("{0}:{1:D2}", (int)total.TotalMinutes, total.Seconds);
      this.Invalidate();
    }
  }
}