﻿using System.Diagnostics;
using System.Windows.Forms;

namespace Airplayne.Interface.Controls
{
  public class TreeViewEx : TreeView
  {
    private const int WM_CREATE = 0x1;

    public TreeViewEx()
      : base()
    {
      this.SetStyle(
        ControlStyles.DoubleBuffer |
        ControlStyles.AllPaintingInWmPaint,
        true);
      this.UpdateStyles();
    }

    [DebuggerStepThrough]
    protected override void WndProc(ref Message m)
    {
      if (m.Msg == (int)0x0014) // WM_ERASEBKGND
        m.Msg = (int)0x0000; // Set to null

      base.WndProc(ref m);
    }

    protected override void OnKeyDown(KeyEventArgs e)
    {
      if (e.Modifiers == Keys.Alt &&
        (e.KeyCode == Keys.Up || e.KeyCode == Keys.Down
        || e.KeyCode == Keys.Right || e.KeyCode == Keys.Left))
        e.Handled = true;

      base.OnKeyDown(e);
    }
  }
}
