﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Airplayne.Tools;
using Airplayne.Interface.Util;

namespace Airplayne.Interface.Dialogs
{
  public partial class AddFolderDialog : Form
  {
    public AddFolderDialog()
    {
      UIUtils.SetFont(this);
      InitializeComponent();
    }

    public string Folder
    {
      get
      {
        return folderBox.Text;
      }
    }

    private void browseButton_Click(object sender, EventArgs e)
    {
      if (folderBrowser.ShowDialog(this) == DialogResult.OK)
      {
        folderBox.Text = folderBrowser.SelectedPath;
        this.DialogResult = DialogResult.OK;
        this.Close();
      }
    }

    private void AddFolderDialog_FormClosing(object sender, FormClosingEventArgs e)
    {
      if (DialogResult == DialogResult.OK)
      {
        if (string.IsNullOrEmpty(Folder))
        {
          DialogResult = DialogResult.Cancel;
        }
        else
        {
          Validate(e);
        }
      }
    }

    private void Validate(FormClosingEventArgs e)
    {
      if (!Directory.Exists(folderBox.Text))
      {
        MessageBox.Show(this, "Folder does not exist", string.Empty, MessageBoxButtons.OK, MessageBoxIcon.Error);
        e.Cancel = true;
      }
    }

  }
}
