using System;
using System.Windows.Forms;
using Airplayne.Tools;

namespace Airplayne.Interface.Dialogs
{
  public partial class CrashDialog : Form
  {
    public CrashDialog(Exception e, bool closeForced)
    {
      InitializeComponent();

      this.Text = closeForced
        ? "Airplayne is crashing"
        : "We have a slight problem";

      headline.Text = closeForced 
        ? "Something bad happened. Airplayne will exit." 
        : "Something bad happened";
      icon.Image = closeForced 
        ? Properties.Resources.exclamation 
        : Properties.Resources.error;

      continueButton.Visible = !closeForced;

      this.AcceptButton = closeForced ? exitButton : continueButton;
      this.CancelButton = closeForced ? exitButton : continueButton;

      if (e != null)
        textBox.Text = e.ToString();
      else
        textBox.Text = "Exception was null";
    }

    public static bool ShowException(Exception e, bool closeForced)
    {
      using (CrashDialog dialog = new CrashDialog(e, closeForced))
      {
        return (dialog.ShowDialog() == DialogResult.Abort);
      }
    }
  }
}