﻿using System.Windows.Forms;
using System.Collections.Specialized;
using System;
using System.Linq;

namespace Airplayne.Interface.Util
{
  public class DragHelper
  {
    public static void Copy(TracksDragData tracksDrag)
    {
      var dataObject = GetDataObject(tracksDrag);
      Clipboard.SetDataObject(dataObject, true);
    }

    public static DataObject GetDataObject(TracksDragData tracksDrag)
    {
      var dataObject = new DataObject();

      dataObject.SetData(tracksDrag);
      SetPathsOnDataObject(tracksDrag, dataObject);

      return dataObject;
    }

    private static void SetPathsOnDataObject(TracksDragData tracksDrag, DataObject dataObject)
    {
      var filePaths = new StringCollection();
      filePaths.AddRange(tracksDrag.Paths.ToArray());
      dataObject.SetFileDropList(filePaths);
      dataObject.SetText(string.Join(Environment.NewLine, tracksDrag.Paths));
    }
  }
}
