﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using Airplayne.Model;
using Airplayne.Model.Music;
using Airplayne.Model.Repository;

namespace Airplayne.Interface.Util
{
  public class TracksDragData
  {
    public delegate void TracksDroppedCallback(TracksDragData tracksDrag, CancelEventArgs args);

    public TracksDragData(object sourceModel, List<Track> tracks, List<string> pathsOverride = null, List<int> indices = null,
      TracksDroppedCallback callback = null)
    {
      SourceModel = sourceModel;
      Tracks = tracks;
      Indices = indices;
      Callback = callback;
      Paths = pathsOverride ?? tracks.Select(track => track.FullPath).ToList();
    }

    public bool IsFromLibrary { get { return SourceModel is LibraryManager; } }
    public bool IsFromPlaylist { get { return SourceModel is PlaylistManager; } }

    public object SourceModel { get; set; }
    public List<Track> Tracks { get; set; }
    public List<int> Indices { get; set; }
    public TracksDroppedCallback Callback { get; set; }
    public List<string> Paths { get; set; }

    public void DoCallback(CancelEventArgs args)
    {
      var callback = Callback;
      if (callback != null)
        callback(this, args);
    }

  }
}
