﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Airplayne.Tools;
using Airplayne.Model.Repository;
using Airplayne.Playback;
using Airplayne.Model.Music;

namespace Airplayne.Model
{
  public class BagListManager : PlaylistManager
  {
    public BagListManager(SettingsManager settingsManager, LibraryManager libraryManager)
      : base(settingsManager, libraryManager) { }

    public override PlaylistManager.ListTypes ListType { get { return ListTypes.Bag; } }

    protected override string StateFilePath
    {
      get
      {
        return Path.Combine(DeployUtils.GetDataDirectory(), "airplayne_bag.m3u");
      }
    }

    public override int? CurrentIndex
    {
      get { return null; }
      protected set { }
    }

    public override void ActivateTracks(List<int> indices, bool shift = false)
    {
      MoveTracksToSisterList(indices, asNext: shift);
    }

    public override void SetPlaylist(Playlist playlist)
    {
      FireWrapper(() =>
      {
        Stop();
        _Clear();
        tracks = playlist.NonAutopilotTracks;
      });
    }


  }
}
