﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Airplayne.Model.Music
{
  public class Playlist
  {
    public enum AutopilotMode { Disabled = 0, AddAlbums = 1, AddTracks = 2 };

    public Playlist()
    {
      Tracks = new List<Track>();
    }

    public List<Track> Tracks { get; set; }
    public int? CurrentIndex { get; set; }
    public int? AutopilotIndex { get; set; }
    public AutopilotMode? AutopilotSetting { get; set; }

    public List<Track> NonAutopilotTracks
    {
      get
      {
        if (!AutopilotIndex.HasValue)
          return Tracks;

        return Tracks
          .Take(AutopilotIndex.Value)
          .ToList();
      }
    }


  }
}
