using System.Collections.Generic;

namespace Airplayne.Model.Music
{
  public class TrackCollection : IMusic
  {
    private List<Track> tt;
    private Album album;
    public TrackCollection(Album a, string search, bool onlyMatchingTracks)
    {
      tt = onlyMatchingTracks ? a.TracksMatching(search) : a.Tracks;
      album = a;
    }

    public TrackCollection(Track t)
    {
      tt = new List<Track> { t };
      album = t.AlbumInstance;
    }

    #region IMusic Members

    public List<Track> Tracks
    {
      get { return tt; }
    }

    public Album AlbumInstance
    {
      get { return album; }
      set { album = value; }
    }

    #endregion
  }
}
