﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Airplayne.Model.Music;

namespace Airplayne.Model.Repository
{
  public static class LibraryUtils
  {
    public static List<Track> ExtractTracks(List<Album> fromThese)
    {
      List<Track> all = new List<Track>();
      foreach (Album a in fromThese)
        all.AddRange(a.Tracks);

      return all;
    }

    public static string MakeAlbumTitle(string topFolder, string albumFolder)
    {
      if (albumFolder == topFolder)
        return new DirectoryInfo(albumFolder).Name;

      albumFolder = albumFolder.Substring(topFolder.Length);
      if (albumFolder.StartsWith(Path.DirectorySeparatorChar + ""))
        albumFolder = albumFolder.Substring(1);
      return albumFolder.Replace("" + Path.DirectorySeparatorChar, " - ");
    }

  }
}
