﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Deployment.Application;
using System.Windows.Forms;
using System.IO;

namespace Airplayne.Tools
{
  public static class DeployUtils
  {
    public static string GetDataDirectory()
    {
      if (ApplicationDeployment.IsNetworkDeployed)
      {
        return ApplicationDeployment.CurrentDeployment.DataDirectory;
      }
      else
      {
        return ExecutableDirectoryPath;
      }
    }

    public static string ExecutableDirectoryPath
    {
      get
      {
        FileInfo exePath = new FileInfo(Application.ExecutablePath);
        return exePath.DirectoryName;
      }
    }

    public static string Version
    {
      get
      {
        if (ApplicationDeployment.IsNetworkDeployed)
          return ApplicationDeployment.CurrentDeployment.CurrentVersion.ToString();
        else
          return "(not deployed)";
      }
    }

    public static bool IsVista
    {
      get
      {
        return Environment.OSVersion.Version.Major >= 6;
      }
    }


  }
}
