﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Airplayne.Tools
{
  public static class ReflectionUtils
  {

    public static bool IsNullable(Type theType)
    {
      return theType.IsGenericType && theType.GetGenericTypeDefinition().Equals(typeof(Nullable<>));
    }

    public static Type UnderlyingType(Type nullableType)
    {
      if (!IsNullable(nullableType))
        return nullableType;

      NullableConverter nc = new NullableConverter(nullableType);
      return nc.UnderlyingType;
    }
  }
}
